<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!--	Hibernate Mapping for Person
		Authors:	Rebecca Beale
					Peter Deschere
					Jason Fillo
-->

<hibernate-mapping>
	<class name="src.hibernatebb.discussion.Post" table="posts">
		<id name="ID" column="postid">
			<generator class="native"/>
		</id>
		
		<many-to-one name="poster" column="poster" class="src.hibernatebb.discussion.User"/>		
		<property name="subject" column="subject"/>
		<property name="body" column="body" />
		<property name="timestamp" column="ts" type="timestamp"/>
	</class>
</hibernate-mapping>